//Datei: wt_dbox.dcl
//Dialogbox zum Programm 'Wtreppe.lsp'


wtreppe : dialog {
                    label = "WENDELTREPPENMODUL (c) 1997 Rainer Kuhn";
  : column {
   : row {
    : boxed_column {
      label = "Einstellungen";
                   : boxed_radio_column {
                     key ="richt"; label = "Treppenrichtung:";
                     : radio_button {
                       key ="re"; label = "rechtsdrehend";
                     }
                     : radio_button {
                       key ="li"; label = "linksdrehend"; value = "1";
                     }
                   }
                   : boxed_radio_column {
                     key ="trtyp"; label = "Treppentyp:";
                     : radio_button {
                       key ="sp"; label = "Spindeltreppe" ; value = "1";
                     }
                     : radio_button {
                       key ="wt"; label = "Wendeltreppe";
                     }
                   }
                   : boxed_radio_column {
                     key ="znart"; label = "Zeichnungsart:";
                     : radio_button {
                       key ="mg"; label = "mit Gelnder"; value = "1";
                     }
                     : radio_button {
                       key ="og"; label = "ohne Gelnder";
                     }
                   }
  }
  : boxed_column {
    label = "Vorgabewerte";
                : edit_box {
                  key ="h"; label = "Treppe Gesamthhe     [cm]:"; value = "270";
                }
                : edit_box {
                  key ="d"; label = "Treppe Durchmesser     [cm]:"; value = "200";
                }
                : edit_box {
                  key ="di"; label = "Spindel/TrAuge Durchm.[cm]:" ; value = "10";
                }
                : edit_box {
                  key ="hs"; label = "Stufen-/Podestdicke     [cm]:" ; value = "5";
                }
                : edit_box {
                  key ="wpg"; label = "Podestwinkel     [Grad]:" ; value = "60";
                }
                : edit_box {
                  key ="hg"; label = "Gelnderhhe     [cm]:"; value = "90";
                }
                : edit_box {
                  key ="s0"; label = "Steigungshhe (*)     [cm]:"; value = "18";
                }
  }
  : boxed_column {
    label = "Mittelpunkt";
                : button {
                  key ="pw"; label = "Punktwahl <";
                }
                : spacer_1 {}
                : text {
                  label = "oder";
                }
                : text {
                  label = "Koordinaten:";
                }
                : edit_box {
                  key ="x"; label = "X :"; value = "0";
                }
                : edit_box {
                  key ="y"; label = "Y :"; value = "0";
                }
                : edit_box {
                  key ="z"; label = "Z :"; value = "0";
                }
    }
  : boxed_column {
        label = "Zeichnungsdaten      ";
      : boxed_column {
        label = "Treppenlayer";
                  : edit_box {
                    key ="lname"; label = "Name   :"; value = "treppe";
                  }
                  : edit_box {
                    key ="lfarb"; label = "Farbe :"; value = "40";
                  }
    }
    : spacer_0 {}
    : boxed_column {
      label = "Blockname fr...";
                : edit_box {
                  key ="blnst"; label = "Stufen:"; value = "Stufe";
                }
                : edit_box {
                  key ="blnpo"; label = "Podest:"; value = "Podest";
                }
  }
 }
}
: spacer_1 {}
: row {
 : boxed_column {
   label = "Berechnungsweg (optional)";
  : row {
               : boxed_radio_column {
                 key ="vorg1"; label = "Vorgabeoption1";
                  : radio_button {
                    key ="vew"; label = "eingeschlossener Winkel"; value = "1";
                    action = "(DVEW)";
                  }
                  : radio_button {
                    key ="vgt"; label = "Grundriteilung";
                    action = "(DVGT)";
                  }
                  : radio_button {
                    key ="vtm"; label = "Treppenma (2s + a=) 63cm";
                    action = "(DVTM)";
                  }
              }
               : boxed_radio_column {
                    key ="vorg2"; label = "Vorgabeoption 2";
                     : text { label = "vorgegebener Winkel:"; }
                     : radio_button {
                       key ="anw"; label = "Antrittswinkel";
                       action = "(DANW)";
                     }
                     : radio_button {
                       key ="auw"; label = "Austrittswinkel"; value = "1";
                       action = "(DAUW)";
                     }
                 }
  }
  : boxed_column {
    label = "Optionale Vorgabewerte";
               : edit_box {
                 key ="weig"; value = "300";
                 label = "eingeschlossener Winkel (abs./ w > 0) [Grad]:";
               }
               : edit_box {
                 key ="gt"; value = "" ;
                 label = "Grundriteilung (Stufen pro voller Wendelung):";
               }
               : edit_box {
                 key ="wang"; value = "0";
                 label = "Antrittswinkel (rel./ Bezug x-Achse) [Grad]:";
               }
               : edit_box {
                 key  ="waug"; value = "";
                 label = "Austrittswinkel (rel./ Bezug x-Achse) [Grad]:";
               }
  }
  : row {
               : boxed_radio_column {
                 key ="anp1"; label = "Anpassungsoption 1";
                  : text { label = "(*) Steigung:"; }
                  : radio_button {
                    key ="sgr"; label = "ggf.steiler"; value = "1";
                  }
                  : radio_button {
                    key ="skl"; label = "ggf.flacher";
                  }
               }
               : boxed_radio_column {
                 key ="anp2"; label = "Anpassungsoption 2";
                 : radio_button {
                   key ="ewfi"; label = "eingeschlossener Winkel fix"; value = "1";
                 }
                 : radio_button {
                   key ="agr"; label = "eing.Winkel/Auftritt ggf.groeer";
                 }
                 : radio_button {
                   key ="akl"; label = "eing.Winkel/Auftritt ggf.kleiner";
                   }
              }
    }
  }
  : boxed_column {
    label = "Treppenvorschau mit Anpassungen";
                : button {
                  key ="vs"; label = "*Werte neu berechnen *";
                }
                : concatenation {
                         : text_part  { label = "Steigungshhe            [cm]: ";}
                         : text_part  { key ="s"; label= "       ";}
                }
                : concatenation {
                         : text_part  { label = "Auftritt (Lauflinie)            [cm]: ";}
                         : text_part  { key ="a"; label = "       ";}
                }
                : concatenation {
                         : text_part  { label = "Treppenma (2s+a)      [cm]: ";}
                         : text_part  { key ="trm"; label = "       ";}
                }
                : concatenation {
                         : text_part  { label = "eing.Winkel (abs.)    [Grad]: ";}
                         : text_part  { key ="weig_vs"; label = "       ";}
                }
                : concatenation {
                         : text_part  { label = "Grundriteilung             : ";}
                         : text_part  { key ="gt_vs"; label = "       ";}
                }
                : concatenation {
                         : text_part  { label = "Antrittswinkel (->x)   [Grad]: ";}
                         : text_part  { key ="wang_vs"; label = "       ";}
                }
                : concatenation {
                         : text_part  { label = "Austrittswinkel (->x) [Grad]: ";}
                         : text_part  { key ="waug_vs"; label = "       ";}
                }
                : concatenation {
                         : text_part  { label = "Anzahl Steigungen        : ";}
                         : text_part  { key ="anz"; label = "       ";}
                }
                : concatenation {
                         : text_part  { label = "Anzahl Auftritte (Stufen)   : ";}
                         : text_part  { key ="anz1"; label = "       ";}
                }
                : concatenation {
                         : text_part  { label = "Stufenwinkel           [Grad]: ";}
                         : text_part  { key ="wsg"; label = "       ";}
                }
                : concatenation {
                         : text_part  { label = "Stufenlnge               [cm]: ";}
                         : text_part  { key ="ls"; label = "       ";}
                }
                : concatenation {
                         : text_part  { label = "Durchgangshhe        [cm]: ";}
                         : text_part  { key ="hd"; label = "       ";}
                }
                : boxed_row {
                  label = "WARNMELDUNGEN";
                                  : text { key ="warn"; label = "       ";}
                }
          }
        }
      }
      : spacer_1 {}
      ok_cancel_help;
    }









